From 139100053c485f7ade6117e42ab6567dd94bdd76 Mon Sep 17 00:00:00 2001
From: Masahiko Sawada <sawada.mshk@gmail.com>
Date: Wed, 25 Jan 2023 17:43:04 +0900
Subject: [PATCH v23 15/18] Detach DSA after tests in test_radixtree.

---
 src/test/modules/test_radixtree/test_radixtree.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/src/test/modules/test_radixtree/test_radixtree.c b/src/test/modules/test_radixtree/test_radixtree.c
index 64d46dfe9a..2a93e731ae 100644
--- a/src/test/modules/test_radixtree/test_radixtree.c
+++ b/src/test/modules/test_radixtree/test_radixtree.c
@@ -172,6 +172,10 @@ test_empty(void)
 	rt_end_iterate(iter);
 
 	rt_free(radixtree);
+
+#ifdef RT_SHMEM
+	dsa_detach(dsa);
+#endif
 }
 
 static void
@@ -243,6 +247,9 @@ test_basic(int children, bool test_inner)
 
 	pfree(keys);
 	rt_free(radixtree);
+#ifdef RT_SHMEM
+	dsa_detach(dsa);
+#endif
 }
 
 /*
@@ -371,6 +378,9 @@ test_node_types(uint8 shift)
 	test_node_types_insert(radixtree, shift, false);
 
 	rt_free(radixtree);
+#ifdef RT_SHMEM
+	dsa_detach(dsa);
+#endif
 }
 
 /*
@@ -636,6 +646,9 @@ test_pattern(const test_spec * spec)
 
 	rt_free(radixtree);
 	MemoryContextDelete(radixtree_ctx);
+#ifdef RT_SHMEM
+	dsa_detach(dsa);
+#endif
 }
 
 Datum
-- 
2.31.1

